Viewer Help

NintendoWare for CTR
Viewer Manual
Version 2.0.0
2011/02/28

Confidential

This document contains confidential and proprietary information of Nintendo and is also protected under the copyright laws of the United States and foreign countries. No part of this document may be released, distributed, transmitted, or reproduced in any form or by any electronic or mechanical means, including information storage and retrieval systems, without permission in writing from Nintendo.

This document contains proprietary information. Please take strict measures to keep this information confidential.

© 2010-2011 Nintendo. All rights reserved.
CTR-06-0142-001-3

Microsoft Internet Explorer 6.0 or later recommended.


Revision History

([*]) is a link to the relevant page.

Version 2.0.0 2011/02/28

Added Features

  • Added Sound mode.[*]
  • Added support for screen capture in render buffer formats other than RGBA8[*]
  • Added support for Aim camera and Rotate camera operations.[*]
  • Added support for touch panel operation of animation slider bar.[*]
  • Added support for light operations.[*]
  • Added support for displaying the direction of the light being operated.[*]
  • Added support for FPS display.[*]
  • Added support in the the Settings File for selecting whether and how to display background images.[*]
  • Added support in the Settings File for selecting the locations in memory of textures and vertices. [*]
  • Added text to the documentation about how to use PARTNER UIC-MIDI + test units and other CTR development hardware.[*]
  • Added support for the output of logs.[*]
  • Added support for displaying icons for the locations of lights/cameras.[*]
  • Added support for the display of particle emitter SRT.
  • Added support for simple previewing in the lower screen.[*]
  • Added support for the output of the version.[*]
  • Added support in the Settings File for setting the looped playback feature for one-time animation.[*]
  • Added an operation for toggling looped playback feature of one-time animations.[*]

Changes

  • Resources can now be selected based on operations in the lower screen. [*]
  • When VRAM is being used, it is now possible to also use VRAM-B.
  • The frame rate can now be set from the menu.[*]
  • The size of the grid scale and the number of gridlines can now be set from the menu.[*]
  • Stereoscopic-related parameters can now be set from the menu.[*]
  • Show/hide the camera's look-at point can now be set from the menu.[*]
  • For one-time animations, pressing the A Button at the final frame now returns the animation to the starting frame.
  • For one-time animations, when the frame rate is a negative, pressing the A Button at the starting frame now returns the animation to the final frame.
  • Overwriting no longer takes place when the default save location is specified for screen capture.[*]
  • Changed the operations for switching main modes and switching sub-modes.[*]
  • The initial settings file is now loaded via a relative path,
  • DebuggerLauncher has been moved to below the Viewer folder.
  • Added chm format documents.

Bug Fixes

  • BranchVisible could not be previewed correctly. That problem was fixed.
  • Fixed the decline in performance that happened when Projection textures were used with cameras with non-existent camera numbers.
  • Sometimes the display of cube-map textures would break down. That problem was fixed.
  • Corrected the inability to use negative values in the Settings File for the default camera position, the target position and the upward vector.
  • Corrected the problem of locking up when unable to detect HIODaemon.

Version 1.3.0 2010/12/13

Added Features

  • Added Layout mode.[*]
  • Support for display of camera viewpoint.[*]
  • Support for display of particle emitter shape.[*]
  • Support for switching scene environment.[*]
  • Support for animation control at the model/scene level[*]
  • Support for previewing of fog animations.
  • Stereoscopic view parameter can now be specified in the settings file.[*]
  • The render buffer format can now be specified in the settings file.[*]

Changes

  • The processing load for rendering was reduced by using the GR library.
  • Since the processing load for rendering was reduced, there is now support for showing the default state of grids and other information.
  • Screen captures and file reloading can now be performed from the menu.
  • Changed the font.

Bug Fixes

  • Fixed a problem with incorrect control over frame rate.
  • Fixed a problem with incorrect binding at times when there were multiple animation bind targets.
  • When the animation playback rate was changed, errors would arise in the calculation of animation frames. That problem has been fixed.
  • In Effect mode, the animation slider bar did not link correctly. That problem was fixed.
  • Depending on the frame rate setting, the speed of camera operations and the other operations would become faster. That problem was fixed.

Version 1.0.1 2010/11/04

Added Features

  • Support for displaying a bar that depicts the overall Viewer system load.[*]
  • Can now use key to switch between show/hide of grids.[*]
  • Frame Rate can be specified in the Settings file.[*]
  • Frame Skipping can be specified in the Settings file.[*]
  • Support for the switching of animations.[*]
  • Added Effect Mode.[*]

Changes

  • Support for command version of font library.
  • Made revision so now when animations are bound, the biding is based on the names.

Bug Fixes

  • Grids were not transparent on translucent models. That problem was corrected.

Version 1.0.0 2010/10/04

Initial version.

CONFIDENTIAL


Known Issues

Version 2.0.0 2011/02/28

  • Display breaks down when L4 or A4 textures are displayed at the same time as other format textures.
    Due to a hardware bug, the display may break down or Viewer might freeze when an L4 or A4 texture is displayed at the same time as a texture in another format.
    For details, refer to the hardware documentation.
  • Depending on the version of PARTNER-CTR, communications with 3DEditor will fail.
    Because of the specifications for PARTNER-CTR HIO-Daemon, communications will not work with certain versions of 3DEditor.
    Be sure to use a version of PARTNER-CTR that matches your NintendoWare for CTR operating environment.
    For details, refer to the PARTNER-CTR documentation.
  • Under certain circumstances, the Viewer will freeze when you change a model name in 3DEditor.
    If, while connected to 3DEditor, you revise some material items for a model that has texture coordinators and rename the model without first re-connecting, the Viewer will freeze.


Overview

Introduction
Viewer Environment Structure
Operating Environment

Introduction

This is the Viewer environment for displaying data created with the tools and plug-ins provided by NintendoWare for CTR (hereafter, NintendoWare) on the CTR platform.

The Viewer environment comprises the following tools.

  • The Viewer program for the Revolution console.

Viewer Environment Structure

The Viewer environment has the following structure.

Data edited by the various tools can be sent via HIO-Daemon for preview on the Viewer.

There are two ways to send data to the Viewer for previewing.

  • Send data directly from each tool to the Viewer for previewing.

    Transfer data from the tools to the Viewer. For details, see the manuals for the various tools.

  • Load binary files and preview

    By performing a reload operation while PARTNER-CTR HIO-Daemon is running, you can load data located in the reload file path given in the settings file.

    Note: Currently, binary files saved with CreativeStudio can be previewed.

Operating Environment

Hardware Configuration

Currently the operation of the Viewer has been confirmed with the following environments.

Development Devices

  • PARTNER-CTR Debugger

    • When using PARTNER-CTR Debugger, you must first install firmware compatible with the SDK being set up.

  • PARTNER-CTR UIC-MIDI + CTR test unit

    • By combining the UIC-MIDI with a CTR test unit, you can prepare a preview environment in the Viewer without using PARTNER-CTR Debugger.

Operations were tested for the following connection methods between the development device and a PC.

Communication Environment

  • PARTNER-CTR Debugger Built-in USB Cable
  • PARTNER-CTR UIC-MIDI Built-in USB Cable


Startup

Setup

Startup

Notes

Initial Settings File

Screen Settings
General System
3D Display Settings
3D Default Scene Settings

Setup

Previewing on a PARTNER-CTR Debugger Unit

Hardware Setup:

  1. Connect the device used for previewing to the PC with a USB cable.

    Depending on the combinations of machines and their connections, USB communication between the Viewer and the PC may not work; check the Requirement Specifications.

Software Setup:

  1. PARTNER-CTR Debugger software setup must be complete. For more information, see the PARTNER-CTR Debugger setup manual.
  2. Install CTR-SDK. First, the folder in which CTR-SDK is installed must be set using the environment variable CTRSDK_ROOT and update to CTR-SDK-compatible firmware for devices used for preview.
  3. Install NintendoWare. The Viewer will be installed in the Viewer folder below NintendoWare/CTR (indicated below as NW4C_ROOT).

PARTNER-CTR UIC-MIDI + CTR test unit

Hardware Setup:

  1. Write Viewer-TS.cci to the PARTNER-CTR UIC-MIDI.

    You can write using PARTNER-CTR Debugger/Writer just like you would to a normal CTR flash card.

    To write to the UIC-MIDI you need to provide a power supply by attaching an AC adapter or a USB cable connected to a PC.

    Note: For details, see the setup manual that comes bundled with the UIC-MIDI.

  2. Attach the UIC-MIDI to a PC or other device via a USB connection and then insert it into the CTR test unit.

Software Setup:

  1. The test unit that will be used for previewing needs to be updated with the firmware corresponding to your NintendoWareForCTR operating environment.
  2. Install NintendoWare. Viewer gets installed in the $(NW4C_ROOT)/tools/Viewer folder.

Startup

The procedure to start the Viewer is shown below:

  1. Configure the Viewer's initial settings.

    If screen size settings are required, edit (NW4C_ROOT)/Viewer/dvdroot/viewer.ini.

    This step will not be required at the next or subsequent times if those settings are not changed.

  2. Run the batch file used to start the Viewer.

    Execute $(NW4R_ROOT)/tools/Viewer/LaunchViewer.bat.
    (Note: CTRSDK_ROOT must be set to the folder where CTRSDK is setup.)

    This step is not necessary if you are using UIC-MIDI and a test unit.

  3. PARTNER-CTR HIO-Daemon will be disconnected if the test unit is turned off or if the USB adapter is removed. Just reconnect if this happens.

    Note: If multiple development devices are connected to the PC, check the title bar of PARTNER-CTR HIO-Daemon because it displays the device currently communicating.
    You will not be able to connect to the Viewer if it is running on a different device than the one that HIO-Daemon is communicating with.

Notes

Note: If Viewer does not start correctly with PARTNER-CTR Debugger:

  • Is the CTRSDK_ROOT environment variable set?

    The CTRSDK_ROOT environment variable must be set to folder where the CTR-SDK is installed.

  • Is PARTNER-CTR HIO-Daemon running?

    HIO-Daemon must be installed and running.

  • Does the installed CTR-SDK support the PARNTER-CTR Debugger version being used?

    The version of the SDK set with CTRSDK_ROOT must be compatible with the PARTNER-CTR Debugger version being used.

  • Has the PARTNER-CTR Debugger firmware been updated to a supported version?

    In order to use PARTNER-CTR Debugger, it is necessary to update to the latest PARTNER-CTR Debugger firmware version supported by the SDK being set up.

Note: If Viewer does not start correctly with UIC-MIDI + CTR test unit:

  • Is PARTNER-CTR HIO-Daemon running?

    HIO-Daemon must be installed and running.

  • Has the CTR test unit firmware been updated to the supported version?

    If you are using a test unit, its firmware must be updated to a version that supports NintendoWareForCTR.

  • Is power being properly supplied to the PARTNER-CTR UIC-MIDI?

    If power is not being properly supplied to the PARTNER-CTR UIC-MIDI, the test unit might not correctly recognize it. Check the connection of the USB cable or AC adapter and try again.

Initial Settings File

Edit the file $(NW4C_ROOT)/tools/Viewer/Viewer.ini with a text editor to change the screen settings displayed on Viewer.

The Viewer.ini file is read each time Viewer is launched. If the settings are changed, Viewer must be restarted.

The following items can be set:

Screen Settings

Performs screen settings.

Configure the values after the key names following /system/video/ as shown below.

Example: /system/video/clr_color = 0x404040FF

Key Name | Description
clr_color | Sets the clear color value. Specify this by entering 0x followed by values 00 ～ FF in RGBA order.
clr_z | Sets the clear Z value.
color_fmt | Sets the color format. RGBA8: Each of the RGBA components is 8 bits RGBA4: Each component is 4 bits RGB5_A1: The RGB components are 4 bits each and the A component is 1 bit RGB565: the RB components are 5 bits each and the G component is 6 bits.
depth_fmt | Sets the depth format. D16: Depth is 16 bits D24: Depth is 32 bits D24_S8: Depth is 24 bits and stencil is 8 bits.

System Basics

Viewer mode settings are configured.

Configure the values after the key names following /system/config/ as shown below.

Specify path settings using in the form of full path plus filename.

Example: /system/config/capture_image = C:\NintendoWare\CTR\tools\Viewer\Capture.bmp

Key Name | Description
default_mode | Sets the default mode when launching the Viewer. You can choose one of the following modes: 3D: 3D mode EFF: Effect mode LYT: Layout mode SND: Sound mode
default_model | Sets the file path for the model that will be initially loaded by default. If nothing is specified, no model will be loaded by default.
reload_target | Sets the file reload path. If nothing is specified here, the reload path is set to $(NW4C_ROOT)/temp/model.bcmdl.
capture_image | Sets the path for saving screen captures. If nothing is specified here, the screen captures are saved to $$(NW4C_ROOT)/tools/Viewer/capture_(standard time/(sequential number).bmp
frame_rate | Configures the animation frame rate.
frame_skip | Configures whether to skip frames where processing slows. 0: Do not skip 1: Skip
file_path | Sets the path for the background color.
image_position | Sets how to display the background color. STRETCH: Display one image stretched across the entire screen. TILE: If the image is smaller than the screen size, display the image more than once, set side by side. CENTER: Display the image in the center of the screen.

3D Display Settings

Configures the 3D display settings.

Be sure to set the values after the key names following /system/information/ as shown below.

Example: /system/information/grid_visible = 1

Key Name | Description
sub_mode | Sets the Graphics sub-mode at Viewer startup. CAM: Camera mode MNU: Menu mode LOG: Log mode
blink_step_frame | Sets the blinking interval for the object selected by 3DEditor.
num_blink | Sets the number of times to blink the object selected by 3DEditor.
loop_onetime_anim | Sets whether the looped-playback feature is enabled for one-time animation. 0: Do not loop automatically 1: Loop automatically
grid_visible | Sets whether grid display is enabled. 0: Do not display 1: Display
grid_scale | Sets the size of the grid scale when displaying the coordinate axes or grid. Specify a real number between 0.001 and 1000.0.
grid_num | Sets the number of divisions in the grid scale when displaying the coordinate axes or grid. Specify an integer between 1 and 20.
grid_color | Sets the color for the grid when it displays. Specify this by entering 0x followed by values 00 ～ FF in RGBA order.
tex | Sets the memory location for textures. FCRAM: Places in FCRAM. VRAM: Places in VRAM.
mdl | Sets the memory location for vertices and vertex indices. FCRAM: Places in FCRAM. VRAM: Places in VRAM.
default_rate | Sets the default rate for animation playback.

3D Default Scene Settings

Configures the 3D default scene settings.

Camera Settings

Configure by entering /g3d/camera/ followed by the key names and their values, as shown in the example below:.

Example: /g3d/camera/rotation_init = 4.032

Key Name | Description
rotation_init | Sets the initial value for rotation velocity.
rotation_step | Sets the acceleration per frame for rotation velocity.
rotation_max | Sets the maximum rotation velocity.
translation_init | Sets the initial value for translation velocity.
translation_step | Sets the acceleration per frame for translation velocity.
translation_max | Sets the maximum value for translation velocity.
tilt_init | Sets the initial value for tilt velocity.
dolly_init | Sets the initial value for dolly translation velocity.
tilt_accel | Sets the acceleration versus pixels during tilt rotation.
tilt_decel | Sets the deceleration per frame for tilt rotation.
tilt_limit | Sets the velocity limit per frame for tilt rotation.
slide_accel | Sets the acceleration versus pixels during slide translation.
slide_decel | Sets the deceleration per frame during slide translation.
slide_limit | Sets the velocity limit per frame during slide translation.
tumble_x_inverse | Sets the tumble x inverse flag for camera-controlled rotation. 0: Do not inverse 1: Inverse
tumble_y_inverse | Sets the tumble y inverse flag for camera-controlled rotation. 0: Do not inverse 1: Inverse
track_x_inverse | Sets the tumble x inverse flag for camera-controlled translation. 0: Do not inverse 1: Inverse
track_y_inverse | Sets the tumble y inverse flag for camera-controlled rotation. 0: Do not inverse 1: Inverse
dolly_inverse | Sets the dolly inverse flag for camera-controlled translation. 0: Do not inverse 1: Inverse
dolly_target_inverse | Sets the dolly target inverse flag for camera-controlled translation. 0: Do not inverse 1: Inverse
tilt_x_inverse | Sets the x inverse flag for camera-controlled tilt. 0: Do not inverse 1: Inverse
tilt_y_inverse | Sets the y inverse flag for camera-controlled tilt. 0: Do not inverse 1: Inverse
fovy | Sets the view angle for the default camera.
position/x | Sets the x value for the default camera.
position/y | Sets the y value for the default camera.
position/z | Sets the z value for the default camera.
target_pos/x | Sets the x value of the default camera target.
target_pos/y | Sets the y value of the default camera target.
target_pos/z | Sets the z value of the default camera target.
up_vector/x | Sets the x value of the default camera up vector.
up_vector/y | Sets the y value of the default camera up vector.
up_vector/z | Sets the z value of the default camera up vector.
touch_panel_mode | Sets the touch panel operation mode. NORMAL: Normal mode DRAG: Drag mode INERTIA: Inertia mode
near | Sets the camera near clip.
far | Sets the camera far clip.
focus_scale | Sets the scaling when the focus is on the object selected in 3DEditor.
depthLevel | Sets either the distance from the camera to the base plane for the application-priority camera, or the distance in virtual space from the player's two eyes to the base plane for the realism priority camera. Specifying 0.0 sets the value to "(the View camera's Near) + 5.0."
factor | Sets the depth adjustment factor. A value of 0 indicates no parallax. The standard value is 1.
realSwitch | Sets whether to enable realism priority camera matrix calculations. 0: Application-priority calculation method 1: Realism-priority calculation method

Light Settings

Configure by entering /g3d/light/ followed by the key names and their values, as shown in the example below:.

Example: /g3d/light/global_ambient_color = 0x333333FF

Key Name | Description
global_ambient_color | Sets the light color of the global ambient light using RGBA values.
light0_kind | Sets the light type. DIRECTIONAL: Parallel light source POINT: Point light source
light0_ambient_color | Sets Ambient Color 1 of Light 0 using RGBA values.
light0_diffuse_color | Sets Diffuse 1 of Light 0 using RGBA values.
light0_specular0_color_specular0_color | Sets Specular 0 of Light 0 using RGBA values.
light0_specular1_color | Sets Specular 0 of Light 1 using RGBA values.
light0_direction/x | Sets the x value of the Light 0 direction vector.
light0_direction/y | Sets the y value of the Light 0 direction vector.
light0_direction/z | Sets the z value of the Light 0 direction vector.

Effect Settings

Configure by entering /effect/config/ followed by the key name and a value, as shown in the example below:

Example: /effect/config/max_frame_count = 200

Key Name | Description
sub_mode | Sets the Effect sub-mode at Viewer startup. CAM: Camera mode MNU: Menu mode LOG: Log mode
max_frame_count | Sets the number of frames to loop when looping.
loop_flag | Sets whether looping is enabled. 0: Do not loop 1: Loop
default_rate | Sets the default rate for animation playback.

Layout Settings

Makes layout settings.

Configure by entering /g2d/ followed by the key names and their values, as shown in the example below:

(Example) /g2d/perspective/fovy = 45.0

Key Name | Description
projection | Specifies the camera mode. ORTHO: Parallel projection PERS: Perspective projection
z_compare | Specifies whether to perform Z comparisons. OFF: Disable ON: Enable When Z comparisons are enabled, even if panes have the same Z values, some of the panes (polygons) may be displayed in an order different from the drawing order.
ortho/near | Sets the projection matrix near clipping value when the camera mode is ORTHO. Configure so that ortho/near < ortho/far.
ortho/far | Sets the far-clipping value for the projection matrix when the camera mode is ORTHO. Configure so that ortho/near < ortho/far.
perspective/fovy | Sets the default FOVY value. Specify a value from 1 to 179.
perspective/near | Sets the projection matrix near clipping value when the camera mode is PERS. Specify a positive value. Configure the setting so perspective/near < perspective/far.
perspective/far | Sets the far-clipping value for the projection matrix when the camera mode is PERS. Specify a positive value. Configure the setting so perspective/near < perspective/far.
stereo/factor | Sets the stereoscopic adjustment factor. (Specify a value the range of from 0 to 1. A value of 0 indicates no parallax. A value of 1 indicates standard parallax.)
stereo/real_switch | Sets whether to enable realism priority camera matrix calculations for stereoscopic vision.. OFF: Application-priority calculation method ON: Realism-priority calculation method


Common Features

Screen Information
Common Operations

Screen Information

The common features of all screen contents used for viewing and operating in all modes is explained here.

  1. Grid

    2. The grid can be displayed in the global space to show the model, effect direction, and size more clearly.

    The grid spacing and show/hide settings can be changed in the initial settings file (Viewer.ini) and on the Viewer.

  2. The view camera's look-at point

    3. Shows the current location of the view camera's look-at point.

  3. Position of camera

    4. An icon indicates the position of the camera.

  4. Light position

    5. An icon indicates the position of the light.

  5. Processing Meters

    6. Meters are used to indicate the processing time spent for the main process in each mode.

    The red meter shows the CPU processing time spent on animation and SRT calculations.
    The blue meter shows the CPU processing time spent on drawing.
    The green meter shows the processing time spent by the GPU.
    The gray meter shows the processing time spent by the overall system. Processing will slow if this is far to the end.

    Viewer in some cases will also show data that can be edited and rendering without optimization.

  6. Mode Display

    7. Shows the current main mode and sub-mode

    • Main Mode
      • Graphics mode
      • Effect mode
      • Layout mode
    • Sub-mode
      • Camera mode
      • Main mode
      • Menu mode
      • Log mode

Common Operations

Operations of Changing modes and opening menu screen are common controller operations regardless of the mode.

Unit controller

Key Operations | Description
START/SELECT Button + Left/Right Button | Switches the main mode.
START/SELECT Button + Up/Down Button | Switches the sub-mode.
R Button & B Button | Shows/hides the grid, camera viewpoint, particle emitter shape and screen information.

Debugging Pad

Key Operations | Description
PLUS/MINUS Button + Left/Right Button | Switches the main mode.
PLUS/MINUS Button + Up/Down Button | Switches the sub-mode.
ZR Trigger Button + B Button | Shows/hides the grid, camera viewpoint, particle emitter shape and screen information.


Menu Screen

Description of Features

Description of Features

To open a menu screen like the one shown below, press the Up/Down Button while holding down the START button on the system Controller, or press the Up/Down Button while holding down the PLUS/MINUS Button on the debug pad.

From this menu screen you can change various Viewer settings.

Even if the lower screen is being hidden, it will be forcibly displayed when the menu screen is shown.

  • Reload

    Reloads a binary file.
    If a reload path is not specified in the Settings File, it will be set by default to $(NW4C_ROOT)/temp/model.bcmdl.

  • ScreenCapture

    Captures a screenshot.
    If a save path is not specified in the Settings File, it will be saved by default to $(NW4C_ROOT)/tools/Viewer/capture_(standard time)/(sequential number).bmp

Description of Operations on the Menu Screen

Unit controller

Key Operations | Description
+Control Pad Up/Down | Changes menu item.
+Control Pad Left/Right | Increments or decrements the value of the cursor position item.
A Button | Selects an item.

Debugging Pad

Key Operations | Description
+Control Pad Up/Down | Changes menu item.
+Control Pad Left/Right | Increments or decrements the value of the cursor position item.
A Button | Selects an item.


Displaying 3D Models

Displaying 3D Models
3D Mode
3D Mode Operation Description
3D-related Menus
Limitations

Displaying 3D Models

Currently, the following operations are possible through the combined use of Viewer and CreativeStudio.

Preview 3D models loaded to 3DEditor and Creative Studio

By communicating with 3DEditor and Creative Studio you can preview 3D models loaded into 3DEditor and Creative Studio.

If multiple 3D models have been loaded into 3DEditor or Creative Studio, they will be previewed at the same time.

Play animations

If animations have been attached to the 3D model, those animation can be played.

Camera, light, and fog animations can be played.

The playing, pausing, and frame stepping of animation is controlled using a controller for the unit or a debugging pad.

Load and preview binary files that were saved in 3DEditor and Creative Studio

Binary files (bcres, bcmdl) can be loaded using file reload operations.

Note: Older versions of binary files cannot be loaded.

To read how to save binary files, see the 3DEditor and Creative Studio manuals.

3D Mode

In 3D mode, you can review the contents of 3D models loaded in the Viewer and play back animations.

Screen Information

The 3D mode screen displays the following information:

  1. Main Mode / Sub-Mode

    Shows the currently selected main mode and sub-mode.

  2. FPS (Frames Per Second)

    Shows the number of frames that are refreshed in 1 second.

  3. Digital Display of Processing Time

    Digital display of the loads on the CPU and GPU for processing of 3D models.

    The unit is percentage points. This is the equivalent of the value displayed in the Processing Meter.

      CPU:　 The relative amount of time spent for animating and rendering, up through the completed sending of data to the GPU.

      Calc：　 Time spent for animating.

      Draw：　 Time spent for rendering.

      GPU:　 Time from start to finish of rendering.

  4. Name of selected preview camera

    The name of the camera that is the currently selected view target.

  5. Name of selected operating camera/light

    The name of the camera/light that is the currently selected target of operations.

  6. Type, Name of Selected Model/Scene

    The type and name of the model/scene that is the currently selected target of animation operations.
    The model/scene type switches in the order of Model > Camera > Light > Fog when the switch model/scene operation is performed.

  7. Name of Selected Model/Scene Animation

    This is the animation that is bound to the currently selected model/scene. [S] is for scale animation, [M] is for material animation and [V] is for visibility animation.

  8. Name of Selected Scene Environment

    This name of the currently selected scene environment.

  9. Current Animation Frame/All Animation Frames

    The number on the right indicates the frames being looped. The number on the left indicates the current frame count.
    If the looped playback feature is set for a one-time animation, the letter L is displayed on the left.

  10. Animation playback speed

    Shows the rate at which the playback of frames advances in one step.

  11. Animation slider bar

    Depiction on a bar of the current animation frame and all animation frames.

  12. Direction of selected operating light

    Indicates whether the currently selected operating light is a directional light, a spotlight or a hemispherical light.

3D Mode Operations

The following operations can be performed in 3D mode.

Unit controller

Camera Operations

Key Operations | Description
Slide pad | The camera rotates around the viewpoint.
+Control Pad Up/Down | Slides along the world y-axis.
+Control Pad Left/Right | Slides along the camera x-axis.
Lower screen (right side 4/5)(Touch panel) | Slides along the camera XY directions.
Lower screen (left side 1/5)(Touch panel)(up/down) | Slides along the world y-axis.
X Button or Y Button | Moves toward the look-at point (X Button). Moves away from the look-at point (Y Button).
L Button + Slide pad | Slides in a plane parallel to the world XZ plane.
L Button + Lower screen (right side 4/5)(Touch panel) | Tilts the camera.
L Button + Lower screen (left side 1/5)(Touch panel)(up/down) | Slides along the world y-axis.
L Button + X/Y Button | Moves toward the look-at point (the look-at point also moves at the same time) (X Button) Moves away from the look-at point (the look-at point also moves at the same time) (Y Button)
L Button + START/SELECT Button | Resets the camera position to its initial state.
R Button + A Button | Switches the View camera. When the View camera is switched, the operating cameras and lights also switch.
R Button + X Button | Switches the operating cameras and lights.

Animation Operations

Animation operations can be performed if a model/scene and animation are loaded.

Key Operations | Description
A Button | Starts/stops playback of all displayed model/scene animations.
B Button | Stops all model or scene animations being displayed and resets to frame 0.
R Button + Y Button Switches the selected model/scene.
L Button + R Button + X Button Switches the animation of the currently selected model/scene.
L Button + R Button + A Button Starts/stops playback of the currently selected model/scene animation.
L Button + R Button + B Button Stops the currently selected model/scene animation and resets the frame to 0.
R Button + +Control Pad (Up/Down) Moves the operation cursor location.
Toggles in the order: resource name > animation name > animation frame > playback rate.
R Button + +Control Pad (Left/Right) Increases or decreases the value of the item where the operation cursor is located.

The resource name | Switches the currently selected model/scene.
Animation name | Changes the displayed animation.
Animation frame | Steps the model/scene animation forward/backward by the playback-rate number of frames.
Playback rate | Increases/decreases the animation playback rate.
L Button + R Button + +Control Pad (Left/Right) Increases/decreases the value of the cursor-selected item for just the currently selected model/scene.

Animation frame | Steps the currently selected model/scene animation forward/backward by the playback-rate number of frames.
Playback rate | Increases/decreases the animation playback rate for the currently selected model/scene.
R Button + START/SELECT Button Toggles the looped playback feature on/off for one-time animations.
Lower Screen (Lower part)(Touch panel) Operates the animation slider bar.

Other

This section describes operations other than camera animation operations.

Key Operations | Description
L Button + R Button + X Button | Switches the selected scene environment .
A Button (only for Log mode) | Outputs the log to log.txt in the Viewer folder.
B Button (only for Log mode) | Deletes the log.

Debugging Pad

Camera Operations

Key Operations | Description
Control Stick (Left) | The camera rotates around the viewpoint.
Control Stick (Right) | The camera slides along the world y-axis. (up/down) Slides the camera in the X direction. (left/right)
+Control Pad Up/Down | Slides along the world y-axis.
+Control Pad Left/Right | Slides along the camera x-axis.
X Button or Y Button | Moves toward the look-at point (X Button). Moves away from the look-at point (Y Button).
ZL Trigger Button + Control Stick (Left) | Slides in a plane parallel to the world XZ plane.
ZL Trigger Button + Control Stick (Right) | Tilts the camera.
ZL Trigger Button + X/Y Button | Moves toward the look-at point (the look-at point also moves at the same time) (X Button). Moves away from the look-at point (the look-at point also moves at the same time) (Y Button)
ZL Trigger Button + PLUS/MINUS Button | Resets the camera position to its initial state.
ZR Trigger Button + A Button | Switches the View camera. When the View camera is switched, the operating cameras and lights also switch.
ZR Trigger Button + X Button | Switches the operating cameras and lights.

Animation Operations

Animation operations can be performed if a model/scene and animation are loaded.

Key Operations | Description
A Button | Starts/stops playback of all displayed model/scene animations.
B Button | Stops all model or scene animations being displayed and resets to frame 0.
ZR Trigger Button + Y Button Switches the selected model/scene.
ZL Trigger Button + ZR Trigger Button + Y Button Switches the animation of the currently selected model/scene.
ZL Trigger Button + ZR Trigger Button + A Button Starts/stops playback of the currently selected model/scene animation.
ZL Trigger Button + ZR Trigger Button + B Button Stops the currently selected model/scene animation and resets the frame to 0.
ZL Trigger Button + ZR Trigger Button + +Control Pad Advances/reverses frames in the currently selected model/scene animation (Left/Right keys).
Speeds/slows the playback rate of the currently selected model/scene animation (Up/Down).
ZR Button + +Control Pad Up/Down Moves the operation cursor location.
Toggles in the order: resource name > animation name > animation frame > playback rate.
ZR Button + +Control Pad Left/Right Increases or decreases the value of the item where the operation cursor is located.

The resource name | Switches the currently selected model/scene.
Animation name | Changes the displayed animation.
Animation frame | Steps the model/scene animation forward/backward by the playback-rate number of frames.
Playback rate | Increases/decreases the animation playback rate.
ZL Button + ZR Button + +Control Pad (Left/Right) Increases/decreases the value of the cursor-selected item for just the currently selected model/scene.

Animation frame | Steps the currently selected model/scene animation forward/backward by the playback-rate number of frames.
Playback rate | Increases/decreases the animation playback rate for the currently selected model/scene.
ZR Button + PLUS/MINUS Button Toggles the looped playback feature on/off for one-time animations.

Other

This section describes operations other than camera animation operations.

Key Operations | Description
ZL Trigger Button + ZR Trigger Button + X Button | Switches the selected scene environment .
A Button (only for Log mode) | Outputs the log to log.txt in the Viewer folder.
B Button (only for Log mode) | Deletes the log.

3D-Related Menus

Description of Setting | Description
SortMode | Switch the render sorting order between AllMeshBaseSort and OpaqueMeshBaseAndTranslucentModelBaseSort.
FrameRate | Configures the animation frame rate.
DepthLevel | Sets either the distance from the camera to the base plane for the application-priority camera, or the distance in virtual space from the player's two eyes to the base plane for the realism priority camera. Specifying 0.0 sets the value to "(the View camera's Near) + 5.0."
Factor | Sets the depth adjustment factor.
RealSwitch | Sets whether to enable realism priority camera matrix calculations.
GridScale | Sets the size of the grid scale when displaying coordinate axes/grids.
GridDivision | Sets the number of divisions in the grid scale when displaying coordinate axes/grids.
LowerScreenPreview | Switches the upper/lower screens.
TargetCameraAxis | Toggles between show/hide the camera's look-at point.

Limitations

  • The gray bar depicts the system load, and processing will slow down and frames will be skipped if the bar reaches all the way to the right.
    If you want to preview at the given frame rate even though frames will be skipped, enable frame skipping in the General System part of the Initial Settings file
    When frame skipping is enabled, processing slowdowns are avoided by skipping some rendering.
  • The Load Indicator shows only the load for rendering of the transferred model.
    It does not include the loads of the lower screen and grid rendering.
  • The default light icon will display even when light is not transferred.
    This feature for showing the position of the light with an icon also shows the position of the default light.
    The default light will disappear when light is transferred and the icon will also disappear.
  • Lighting calculations are performed using optimized results.
    To reduce the CPU processing load, when Viewer makes the lighting calculations for the left/right cameras it calculates the light position from a camera that is situated in the middle of the left/right cameras.
    For this reason, the result of the lighting calculation will be slightly different from the result of calculating the light position from the separate left/right cameras. This will have some impact on the diffuse component and the non-NV specular components for point lights and spot lights. The impact will be particularly large on the diffuse component and the LN specular component when the light and the model are close together and the camera comes near.
  • The FPS display will be slightly different from 60.
    Because the VSync interval is 59.831Hz for both the upper and lower LCD screens on the CTR, the display on the Viewer will not be exactly 60 either.
    Refer to the hardware documentation for details.
  • A maximum of 128 animations can be configured in a single animation set.
    Since the animation set can only take up to 128 animations, even if more animations are set there they will not show up in the Viewer.
    Additions may be made to the Initial Settings File in the future.


Displaying Effects

Displaying Effects
Effect Mode
Effect Mode Operations
Limitations

Displaying Effects

The following operations are currently possible through the combined use of Viewer, EffectMaker and CreativeStudio.

Preview effects loaded to EffectMaker and CreativeStudio

By communicating with EffectMaker and CreativeStudio you can load effects into EffectMaker and CreativeStudio for previewing.

Use binary files saved by EffectMaker or CreativeStudio

From File Selection mode, specify and load the binary file.

To read how to save binary files, see the CreativeStudio and EffectMaker manuals.

Effect Mode

In Effect mode, you can check the content of effects loaded in Viewer and play back animations.

Screen Information

The Effect mode displays the following information.

  1. Processing time

    The CPU and GPU loads for processing of effects is displayed digitally.

    The unit is percentage points. This is the equivalent of the value displayed in the Processing Meter.

      CPU:　 The relative amount of time spent for animating and rendering, up through the completed sending of data to the GPU.

      Calc：　 Time spent for animating.

      Draw：　 Time spent for rendering.

      GPU:　 Time from start to finish of rendering.

  2. Looped Playback Settings

    Shows whether the feature has been enabled for looped playback of particles in certain frames.

  3. Resource information

    Particle indicates the number of particles. Max Particle indicates the maximum number of particles.

    For details, see the documentation relating to effects.

  4. Frame Count

    The number on the right indicates the frames being looped. The number on the left indicates the current frame count.

    The value in parenthesis indicates the rate at which the playback of frames advances in one step.

  5. Emitter shape

    translucent polygons indicate the emitter shape in the range of created particles.

Effect Mode Operations

The following operations can be performed in Effect Mode:

Unit controller

Camera / Other Operations

Camera/other operations are the same as the operations in 3D Mode, so see this document.

Animation Operations

Key Operations | Description
A Button | Starts/stops playback of all displayed model/scene animations.
B Button | Stops all model or scene animations being displayed and resets to frame 0.
R Button + +Control Pad | Forwards the animation frame (right) Accelerates/decelerates the animation playback rate (up/down).
R Button & B Button | Toggles show/hide emitter shape.

Particle Operations

Key Operations | Description
R Button + +Control Pad left | Switches on/off the loop setting for particle playback.
R Button & X/Y Button | Increases/decreases the frames of looped particle playback. Each press of button increases/decreases number by 10 frames.

Debug Pad

Camera / Other Operations

Camera/other operations are the same as the operations in 3D Mode, so see this document.

Animation Operations

Key Operations | Description
A Button | Starts/stops playback of all displayed model/scene animations.
B Button | Stops all model or scene animations being displayed and resets to frame 0.
ZR Button + +Control Pad | Forwards the animation frame (right) Accelerates/decelerates the animation playback rate (up/down).
R Button & B Button | Toggles show/hide emitter shape.

Particle Operations

Key Operations | Description
ZR Button + +Control Pad left | Switches on/off the loop setting for particle playback.
ZR Button & X/Y Button | Increases/decreases the frames of looped particle playback. Each press of button increases/decreases number by 10 frames.

Limitations

The processing becomes slightly larger when you use nw::gfx::ParticleSetIsBufferFlushEnabledSetter to flush the particle rendering.


Display of Layout

Layout Display
Layout Mode
Operation Description
Layout-Related Menus
Limitations

Display of Layout

The following operations are possible through the combined use of Viewer and CreativeStudio.

Preview the project loaded into LayoutEditor.

Layouts loaded into LayoutEditor can be previewed by communicating with LayoutEditor.

Animation can be played back

If an animation is added to the layout, that animation can be played.

When animation section tags are set by LayoutEditor, the displayed animations can be switched at the animation section tag level.

Play, pause and frame-advance of animation is controlled with the system Controller.

Layout Mode

In the Layout mode, you can check layout contents loaded in the Viewer and play back animations.

Screen Information

The Layout mode displays the following information.

  1. Processing time

    Digital display of the processing loads on the CPU and GPU for layouts.

    The unit is percentage points. This is the equivalent of the value displayed in the Processing Meter.

      CPU:　 The relative amount of time spent for animating and rendering, up through the completed sending of data to the GPU.

      Calc：　 Time spent for animating.

      Draw：　 Time spent for rendering.

      GPU:　 Time from start to finish of rendering.

  2. Animation Frame

    Displays the frame information for the animation currently operating.

    The number at the left is the current frame; at right, the total number of frames.

    The Animation Frame is not shown if there is no attached animation.

    Left and Right on the +Control Pad on the controller can be used to change the current frame. Left on the +Control Pad will back up the layout animation by one frame. Right on the +Control Pad will advance the layout animation by one frame.

  3. Animation Information

    Displays information about the animation targeted for operations.

    ANIM:ALL indicates that the entire animation is displayed or played.
    If animation segment tags have been set, the range of frames specified by these tags can be shown or played.
    What displays at this time is ANIM: animation segment tag name.

    Below this, the serial number of the currently-displayed animation and the total number of animations are displayed.

    Each time RIGHT is pressed on the controller's +Control Pad, the display will switch as follows:
    [Entire animation] > [1st animation segment tag] > [2nd animation segment tag], and so on. Pressing LEFT on the +Control Pad will switch the display in reverse order.

  4. Animation Type

    Shows the type of the animation that is targeted for operations.

    Switch the type using Left/Right on the +Control Pad. For the type, you can select Pane or Group.

  5. Switch Animation Target

    Shows the name of the pane or group that is the animation operation target.
    Shown under this is the serial number of the current animation target the total number of animation targets.

    Switch the target using the Left/Right on the +Control Pad.

    • If ALL is shown for the name, then all panes attached to the animation are shown, regardless of the target type.
    • The name(s) are shown in gray if the selected pane is not animated, or if none of the panes contained in the group are animated.
    • Asterisks (" ＊") are shown next to names if the selected group is specified for a related group by animation segment tags.
  6. Camera

    Displays the current camera mode.

    You can switch camera modes using LEFT and RIGHT on the controller's +Control Pad.
    CAM:ORTHO is for normal 2D display.
    CAM:PERS is for 3D-like display. The smaller the pane's Z value, the smaller the size of display.
    For CAM:PERS, FOVY appears below. LEFT and RIGHT on the controller's +Control Pad can be used to change the FOVY value.

  7. Layout Size

    Indicates the width and height (in pixels) of the displayed layout.

    The width and height of a layout are set in the LayoutEditor using Layout Environment Settings under the File menu.

Layout Mode Operations

The following operations can be performed in Layout Mode.

Layout Mode Operations

Animation operations are valid when an animation has been loaded.
Operations are basically the same on the system Controller and the debug pad.

Key Operations | Description
A Button | Starts or stops the playback of a layout animation.
B Button | Resets the layout's animation frame to 0.
+Control Pad Up/Down | Switches the selection.
+Control Pad Left/Right | Animation Frame | Left: Moves the layout animation one frame backward. Right: Advances the layout animation by one frame forward.
 | ANIM | If animation segment tags have been set for the loaded animation, this switches the range of the animation to play.
 | TARGET | Switches the type of the target of animation operations.
 | PANE, GROUP | Switches between Pane and Group as the target of animation operations.
 | CAM | Switches the camera mode.
 | FOVY (Only displayed when the camera is in the PERS mode.)) | Changes the FOVY value.

Layout-Related Menus

Layout-related parameter settings can be dynamically changed from the opened Menu Screen.

These setting items can also be changed from an initial settings file.

For details on each parameter item that can be set from the menu, see Initial Settings File

Limitations

No support for loading of binary files

With the current version of Viewer, you cannot load Layout binary files from Viewer for display.


Sound Display

Sound Playback

Sound Playback
Sound Mode
Sound Mode Operations
Future Support Plans
Limitations

Sound Playback

The following operations are possible through the combined use of Viewer and SoundMaker.

Preview sounds loaded into SoundMaker.

Sounds loaded into SoundMaker can be previewed by communicating with SoundMaker.

Sound Mode

In Sound mode, you can check the content of sounds loaded to Viewer and hear how they play when parameters are changed.

Screen Information

In Sound mode, information is displayed separately in various windows.

Below is an example of what a standard screen looks like in Sound mode.

  1. ArchivePlayer

    This is the main window, where you do thinks like start and stop the playback of sounds.

    The following information is shown in each line:

      Playback status:　 Play / Stop / Pause / Mark

      Number:　 The number of the selected sound (shown are the lower four digits of the hexadecimal sound ID).

      Name:　 The Name of the selected sound.

  2. SoundType

    Shows information about the playing sounds for the selected line in the ArchivePlayer window. Operations can also be done from here.

      ・If the playing sound in the selected line is a sequence: Operations for On/Off of each track and the volume level, and display of the current tick count.

      ・If the playing sound in the selected line is a stream: Operation for On/Off of each track, and display of loop information, sampling rate and playback position.

      ・If the playing sound in the selected line is a wave sound: Display of loop information, sampling rate and playback position.

  3. Voice

    Displays the status of each voice.

    The length of the upper bar denotes volume, and the color the priority. Red (streams,etc.) > orange (normal) > blue (release).

    The Pan/S.Pan is indicated by the small pink lights in the squares in the middle of the window.

    At the bottom is the voice count meter.

  4. Volume

    This shows the DSP final output volume (peak level, with maximum = 100).

    When the volume exceeds 100 the display is red.

    This is linked to locking and scrolling in the DspOutWave window.

  5. CPU

    Displays the sound thread load.

    From the top, shows the current value, and the maximum, average and minimum values over several seconds. All units are %.

    When the load exceeds 50% the display is red.

  6. DSP

    Shows the DSP load. The unit is %.

    Both the current load value and the maximum value over the past several seconds are shown.

    When the load exceeds 100% the display is red.

  7. DspOutWave

    Shows the DSP final output waveform.

    Because there is automatic phase correction, a cyclical waveform will appear stopped like an oscilloscope.

    Places where the volume is at the maximum show in red.

    If the scaling is larger than x32, the maximum and minimum values are shown. For scaling of x2 ~ x16, information is skipped over so you may miss sudden spikes in volume.
    For scaling of x32 and higher, samples are checked one at a time and a minimum/maximum range is displayed, so nothing will be overlooked.

    Use the lower left button to change the View mode (Both L + R, just L or just R).

    Use the lower right button to change the scale.

    Press the upper right Lock button stop the waveform from updating. From that point you can scroll the display backward though time.

    The lock and scroll position are linked to the Volume window and the FFT window.

    Note that because the buffer is shared with the buffer for writing .wav files in the WaveWriter window, waveforms cannot be written to .wav files while Lock is selected.

  8. FFT

    FFT display of the DSP final output waveform.

    The N=???? in the upper right is the polynomial degree. (A larger frequency provides higher resolution, but the tradeoff is a greater load on the CPU.）

    Touch inside the window to display the frequency at that position a little up and to the right.

    Use the up/down arrows to select a maximum value to display for power on the vertical axis. Use the left/right arrows in the lower-right part of the window to select a maximum value to display for frequency on the horizontal axis

    Use the LogX and LogY buttons to select linear or logarithmic for the X axis (frequency) and the Y axis (power).

    Use the lower left button to select the View mode (Both L + R, just L or just R).

    Pitch is detected automatically.

      In the default setting (N=1024, 16364 Hz), the error is several Hz.

      If precision is required for reasons like tuning, leave N at the maximum value of 1024 and set the frequency to a low 1818 Hz to get the pitch very accurately.

    This is linked to locking and scrolling in the DspOutWave window.

  9. SoundInfo

    Shows details about the sounds selected in the ArchivePlayer window.

    Shown here is the sound type, file ID, player, priority, volume, pan mode, pan curve, front bypass and user parameter.

    Pressing the upper-right 3D button displays 3D-related parameters (such as which calculations are enabled for 3D calculations (Flags), the attenuation rate, the attenuation curve and the Doppler coefficient).

  10. MIDI

    If a PARTNER-CTR UIC-MIDI is attached, you can play banks using MIDI.

    When you apply SystemUpdater-0_15-XX.csu, this window will not display if the PARTNER-CTR UIC-MIDI is not connected to a PARTNER-CTR Debugger or a CTR test unit.
    If you are connected to a PARTNER-CTR UIC-MIDI and the MIDI window still does not display, Load the cci file (not that this is not reload) and try again.

    When MIDI signals are received, the corresponding bank is lit green.

    This is linked to sound selection in the ArchivePlayer window.

      When a sequence sound is selected in the ArchivePlayer window, the banks configured in that sequence sound are set here.
      The volume gets set to the volume set on SoundMaker for the selected sound.
      Banks and sound volume can be changed in this window as well.

    Loading Banks to Heap

      Banks already loaded to the heap are shown in white, while those not loaded are shown in gray.
      There are two ways to load banks to the heap:

          1. Play the bank with MIDI
          (The bank is loaded when the first Note-on is received, so the first note does not play.）
          2. Play the sequence sound using that bank in the ArchivePlayer window

    Fixing the Bank Index and Program Number

      There is a feature that lets you ignore the bank and program number specified in the sequence and instead play with your own specified number.
      The default state is noFixBnk, noFixPrg, and in this state the sound plays according to MIDI signals. However, if for example you change the settings to FixBnk:1, FixPrg:5, then you can play sounds using bank index = 1, program number = 5 regardless of the MIDI signal.

    Press the Reset button to reset MIDI.

    You can also play from the Piano window if you change the upper-right button from Pitch to MIDI in that window.

  11. SeqVar

    This window is for viewing and changing sequence variables.

    Values flash blue when they are changed.

    The window displays track variable numbers 0 ~3 by default, but you can use the arrows at the top of the window to change which track variable numbers are shown.

    If you want to write a value to a variable, click on the variable so it displays in gray.
    By selecting multiple variables you can write to them all at the same time.
    Use the left/right arrows in the bottom-left part of the window to set the value you want to write, then press the Write button located to the right of these arrows to write the value.

    You can only write to Local and the track variables while sounds are playing, but you can select the variables and set the value ahead of time.

  12. SoundParam

    Use this window to change the volume, pitch, pan and other parameters of sounds when they play.

    There are independent parameters for each of the number of players (i.e., the number of rows in the ArchivePlayer window). What is shown are the parameters for the currently selected player.

    The start offset (StartSec) is currently only supported for sequences.

  13. Sweep

    This sets the sweep.

    Press the Start button to change the pitch by the proportion specified by Rate up until the value set for End.

  14. Aux

    Use this window to switch the effect type for Aux and turn front bypass on/off.

    Only the effects that are selected will operate.

  15. Output

    Sets parameters related to output.

    You can switch between monaural/stereo/surround sound, change the positions of the sound depth and surround speaker, enable/disable soft clipping, and change the interpolation type and the master volume.

  16. Pan/S.Pan

    Using touch you can intuitively change the Pan/S.Pan values of the SoundParam window.

    Double-click to restore the default value.

    The Pan/S.Pan will change if sound is already playing. If sound is not playing, the sound will only play while touching the panel.

  17. Piano

    The keyboard shown here can be used to intuitively set the Pitch in the SoundParam window.

    The pitch will change if sound is already playing. If sound is not playing, the sound will only play while touching the panel.

    Use the left/right arrows in the center of the window to change the octave.

    Click on the Pitch button in the upper-right part of the window to switch to Midi and make this a software MIDI keyboard for playing banks.

    When you apply SystemUpdater-0_15-XX.csu, the button for switching between Pitch/Midi will not display if the PARTNER-CTR UIC-MIDI is not connected to a PARTNER-CTR Debugger or a CTR test unit.
    If you are connected to a PARTNER-CTR UIC-MIDI and the Pitch/Midi switch button still does not display, Load the cci file (not that this is not reload) and try again.

  18. EffectParam

    Use this window to set the various parameters for the effect selected in the Aux window.

  19. WaveWriter

    Saves the DSP final output waveform as a .wav file.

    After pressing the Write button, data are saved retroactively for the specified amount of time (up to a maximum of 2 minutes). Note that what gets saved is data for the specified amount of time up to point when the button was pressed, and not for a an amount of time subsequent to pressing.

    The file gets saved as $NW4C_ROOT/tools/Viewer/sound/DspOut_?.wav.
    ? The value in "?" is 0 when the system starts for the first time, and increments by +1 every time a file is written.

    Waveform files are shared by the DspOutWave window, so waveforms will not be output while waveform updating is locked in the DspOutWave window.

  20. WinSysSave

    Use this to save and load the settings for the position, size and depth of each window.

    The various parameter values in the various windows do not get saved.

    This settings file gets saved to $NW4C_ROOT/tools/Viewer/sound/WinSysSave_?.bin (where ? is 0 ～ 9)
    A maximum of 10 sets of settings can be saved, so this is convenient for saving and switching window positions for different tasks.

Sound Mode Operations

The following operations can be performed in Sound mode.

Unit controller

Sound mode operations

Key Operations | Description
+Control Pad Up/Down | Switches selection of sound in the ArchivePlayer window.
+Control Pad Left/Right | Changes the sound selected in ArchivePlayer.
A Button | Plays the sound selected in ArchivePlayer.
B Button | Stops play of the sound selected in ArchivePlayer.
X Button | Selects multiple sounds in ArchivePlayer and marks them for simultaneous playback.
Y Button | Pauses playback of the sound selected in ArchivePlayer.
L Button + Left/Right Button | Jumps by units of 0x0100 the sound ID of the sound selected in ArchivePlayer.
Slide pad | Moves the cursor in the upper screen.
R Button | Pseudo-touch operation at the cursor position in the upper screen.
START/SELECT Button + Up/Down Button | Swaps upper/lower display screens.
Touch Panel Operations | Description
Double-click in title bar | Switches window between minimize and normal size. (Minimizing the window reduces the CPU load.)
Drag the window periphery | Changes the size of the window.
Drag the title bar | Changes the position of the window.
Button single-click | Changes value.
Button double-click | Restores default value. (Some buttons do not support this.)

Future Support Plans

In the next release, the following features will be added to the Sound mode of Viewer:

    ・Support for preview operations from the PC.

Limitations

  • When you resize the Voice window, the bar representing voices and the position of the numbers become shifted.